## ruby3.2 3.2.3

=== debian/changelog ===
ruby3.2 (3.2.3-1ubuntu0.24.04.6) noble-security; urgency=medium

  * SECURITY UPDATE: denial of service in resolv
    - debian/patches/CVE-2025-24294.patch: Limit decompressed name length
    - CVE-2025-24294

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 02 Sep 2025 16:17:50 +0530

ruby3.2 (3.2.3-1ubuntu0.24.04.5) noble-security; urgency=medium

  * SECURITY UPDATE: DoS in REXML via many < in an attribute value
    - debian/patches/CVE-2024-35176-pre2.patch: use string scanner with
      baseparser.
    - debian/patches/CVE-2024-35176-pre3.patch: use @scanner << readline
      instead of @scanner.string = @scanner.rest + readline.
    - debian/patches/CVE-2024-35176-pre4.patch: use more StringScanner
      based API to parse XML.
    - debian/patches/CVE-2024-35176-pre5.patch: optimize the
      parse_attributes method to use Source#match to parse XML.
    - debian/patches/CVE-2024-35176-1.patch: read quoted attributes in
      chunks.
    - debian/patches/CVE-2024-35176-2.patch: add support for old strscan.
    - CVE-2024-35176
  * SECURITY UPDATE: DoS in REXML via many specific characters
    - debian/patches/CVE-2024-39908-pre1.patch: remove Source#string=
      method.
    - debian/patches/CVE-2024-39908-pre2.patch: add a "malformed comment"
      check for top-level comments.
    - debian/patches/CVE-2024-39908-1.patch: fix performance issue caused
      by using repeated > characters.
    - debian/patches/CVE-2024-39908-2.patch: fix ReDoS caused by very large
      character references using repeated 0s.
    - debian/patches/CVE-2024-39908-3.patch: fix performance issue caused
      by using repeated > characters inside comments.
    - debian/patches/CVE-2024-39908-4.patch: fix performance issue caused
      by using repeated > characters inside CDATA [ PAYLOAD ].
    - debian/patches/CVE-2024-39908-5.patch: fix performance issue caused
      by using repeated > characters after <!DOCTYPE name.
    - debian/patches/CVE-2024-39908-6.patch: fix performance issue caused
      by using repeated > characters inside <!DOCTYPE root [<!-- PAYLOAD
      -->]>.
    - debian/patches/CVE-2024-39908-7.patch: fix performance issue caused
      by using repeated > characters inside <!DOCTYPE name [<!ENTITY>]>.
    - debian/patches/CVE-2024-39908-8.patch: fix ReDoS by using repeated
      space characters inside <!DOCTYPE name [<!ATTLIST>]>.
    - debian/patches/CVE-2024-39908-9.patch: fix performance issue caused
      by using repeated > characters inside <xml><!-- --></xml>.
    - CVE-2024-39908
  * SECURITY UPDATE: DoS in REXML via many specific characters
    - debian/patches/CVE-2024-41123-pre1.patch: fix method scope in test in
      order to invoke the tests properly and fix exception message.
    - debian/patches/CVE-2024-41123-pre2.patch: add missing encode for
      custom term.
    - debian/patches/CVE-2024-41123-pre3.patch: add position check for XML
      declaration.
    - debian/patches/CVE-2024-41123-1.patch: fix source.match performance
      without specifying term string.
    - debian/patches/CVE-2024-41123-2.patch: parse pi: improve invalid case
      detection.
    - CVE-2024-41123
  * SECURITY UPDATE: DoS in REXML via many deep elements
    - debian/patches/CVE-2024-43398-pre1.patch: keep the current namespaces
      instead of stack of Set.
    - debian/patches/CVE-2024-43398-1.patch: improve namespace conflicted
      attribute check performance.
    - debian/patches/CVE-2024-43398-2.patch: fix handling with "xml:"
      prefixed namespace.
    - CVE-2024-43398
  * SECURITY UPDATE: DoS in net-imap response parser
    - debian/patches/CVE-2025-25186.patch: limit number of UIDs in
      .bundle/gems/net-imap-0.4.9.1/lib/net/imap/response_parser.rb.
    - CVE-2025-25186
  * SECURITY UPDATE: DoS in CGI Gem
    - debian/patches/CVE-2025-27219.patch: use String#concat instead of
      String#+ for reducing cpu usage in lib/cgi/cookie.rb.
    - CVE-2025-27219
  * SECURITY UPDATE: ReDoS in CGI Gem
    - debian/patches/CVE-2025-27220.patch: escape/unescape unclosed tags as
      well in lib/cgi/util.rb, test/cgi/test_cgi_util.rb.
    - CVE-2025-27220
  * SECURITY UPDATE: credential leak in URI gem
    - debian/patches/CVE-2025-27221-1.patch: truncate userinfo in
      lib/uri/generic.rb, test/uri/test_generic.rb.
    - debian/patches/CVE-2025-27221-2.patch: fix merger of URI with
      authority component in lib/uri/generic.rb, test/uri/test_generic.rb.
    - CVE-2025-27221

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 10 Mar 2025 14:14:00 -0400

ruby3.2 (3.2.3-1ubuntu0.24.04.3) noble-security; urgency=medium

  * SECURITY UPDATE: denial of service in REXML
    - debian/patches/CVE-2024-35176_39908_41123.patch: Read quoted
      attributes in chunks
    - debian/patches/CVE-2024-41946.patch: Add support for XML entity
      expansion limitation in SAX and pull parsers
    - debian/patches/CVE-2024-49761.patch: fix a bug that &#0x...; is
      accepted as a character reference
    - CVE-2024-35176
    - CVE-2024-39908
    - CVE-2024-41123
    - CVE-2024-41946
    - CVE-2024-49761

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 25 Oct 2024 14:06:35 +0530

ruby3.2 (3.2.3-1ubuntu0.24.04.2) noble; urgency=medium

  * SRU: LP: #2083480: No-change rebuild to disable frame pointers on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 14:40:51 +0200

ruby3.2 (3.2.3-1ubuntu0.24.04.1) noble-security; urgency=medium

  * SECURITY UPDATE: code execution in RDoc
    - debian/patches/CVE-2024-27281-1.patch: filter marshalled objects in
      lib/rdoc/store.rb.
    - debian/patches/CVE-2024-27281-2.patch: fix NoMethodError for
      start_with in lib/rdoc/store.rb.
    - CVE-2024-27281
  * SECURITY UPDATE: heap data extraction via regex
    - debian/patches/CVE-2024-27282.patch: fix Use-After-Free issue for
      Regexp in regexec.c.
    - CVE-2024-27282


