=== debian/control ===
Source: ruby3.2
Section: ruby
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
           Utkarsh Gupta <utkarsh@debian.org>,
           Lucas Kanashiro <kanashiro@debian.org>
Build-Depends: bison,
               coreutils (>= 7.5),
               debhelper-compat (= 13),
               file,
               libffi-dev,
               libgdbm-compat-dev,
               libgdbm-dev,
               libgmp-dev,
               libncurses-dev,
               libedit-dev,
               libssl-dev,
               libyaml-dev,
               netbase <!nocheck>,
               openssl <!nocheck>,
               pkg-config (>= 1.8.0-7~),
               procps <!nocheck>,
               ruby3.2:native <cross>,
               rubygems-integration (>= 1.6) <!nocheck>,
               systemtap-sdt-dev [linux-any],
               tzdata,
               zlib1g-dev
Standards-Version: 4.5.1
Homepage: https://www.ruby-lang.org/
Vcs-Git: https://salsa.debian.org/ruby-team/ruby.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby
Rules-Requires-Root: no

Package: ruby3.2
Multi-Arch: allowed
Architecture: any
Depends: rubygems-integration (>= 1.17.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-lato,
            libjs-jquery
Description: Interpreter of object-oriented scripting language Ruby
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 In the name of this package, `3.2' indicates the Ruby library compatibility
 version. This package currently provides the `3.2.x' branch of Ruby.

Package: libruby3.2
Section: libs
Multi-Arch: same
Architecture: any
Depends: rake (>= 10.4.2),
         ruby-did-you-mean (>= 1.0),
         ruby-minitest (>= 5.4),
         ruby-net-telnet (>= 0.1.1),
         ruby-test-unit (>= 3.2.8~),
         ruby-xmlrpc (>= 0.3.2~),
         ruby-webrick (>= 1.7.0-4~),
         ruby-sdbm (>= 1.0.0-3~),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${libruby:Provides}
Description: Libraries necessary to run Ruby 3.2
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package includes the 'libruby-3.2' library, necessary to run Ruby 3.2.
 (API version 3.2.0)

Package: ruby3.2-dev
Multi-Arch: same
Architecture: any
Depends: libgmp-dev,
         libruby3.2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ruby3.2-doc
Description: Header files for compiling extension modules for the Ruby 3.2
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package contains the header files and the mkmf library, necessary
 to make extension library for Ruby 3.2. It is also required to build
 many gems.

Package: ruby3.2-doc
Multi-Arch: foreign
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for Ruby 3.2
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package contains the autogenerated documentation for Ruby 3.2.
